Qt 5.6 | Qt Core | C++ Classes | QRectF

Qt 5.6.2 Reference Documentation

# Obsolete Members for QRectF

The following members of class QRectF are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QRectF | intersect(const QRectF &rectangle) const
`(obsolete)` QRectF | unite(const QRectF &rectangle) const

## Member Function Documentation

### QRectF QRectF::intersect(const QRectF &rectangle) const

Use intersected(rectangle) instead.

### QRectF QRectF::unite(const QRectF &rectangle) const

Use united(rectangle) instead.